Check if a mailbox can be provisioned
View as MarkdownDetermines whether a mailbox can be provisioned for the given email address and which entitlements are available to use.
Full description
| Determines whether a mailbox can be provisioned for the given email address and which entitlements are available to use.
AuthorizationBearer <token>
Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer <token>.
In: header
Query Parameters
email*string
Full email address to check (user@domain).
Format
emailHeader Parameters
X-Request-Id?string
Optional client-generated request correlation identifier. Propagated across services and echoed in the X-Request-Id response header.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/check-mailbox-eligibility?email=jane.smith%40example.com"{ "isEligible": true, "eligibleAccounts": [ { "accountId": "00000000-0000-0000-0000-000000000002", "mailboxType": "TITAN", "accountName": "Professional Email Pro Plus", "default": false, "requirements": [ { "type": "FREETRIAL_AUTORENEW", "title": "Free Trial Auto Renew", "reference": "https://www.godaddy.com/agreements/showdoc?pageid=FREETRIAL_AUTORENEW" } ] } ]}Last updated on
How is this guide?